#!/bin/bash -a

##
##  Flashback versions query
##	 

sqlplus /nolog <<EOF

	connect sys/oracle as sysdba

	-- attach my current session
	oradebug setmypid;
	
	-- unlimit the size of the tracefile
	oradebug unlimit;

	-- enable the trace
	oradebug event 10046 trace name context forever, level 8;

	-- run the SQL statement here
	select * from dt.t where id < 55;

	-- get the name of the tracefile (or, can guess)
	oradebug tracefile_name
	
	-- turn off tracing
	oradebug event 10046 trace name context off

	-- print dumplist
	-- oradebug dumplist
	oradebug dump controlf 1
	
	oradebug dump modified_parameters 1

	exit
EOF
