#!/bin/bash -a

##
##
## This is the same setup script for demo #6
##	except *no* tasks for enabling row movement, 
##	*no* flashback, and *no* stored procedure
##
##
## In a nutshell,
##	- create user dt; and, grant permissions
##	- create table t; and, insert data into table
##	 
##	 

sqlplus /nolog <<EOF

	connect sys/oracle as sysdba
	
	set echo on

	ALTER DATABASE ADD SUPPLEMENTAL LOG DATA;

/*
	-- 
	--	Create User Here
	--
*/
	drop user dt cascade;
	create user dt
	identified by dt
	default tablespace users
	temporary tablespace temp
	quota unlimited on users;

	grant create table to dt;
	grant create session to dt;
	grant create procedure to dt;
/*
	-- 
	--	Create Table Here
	--
*/
	create table dt.t (
	id int,
	name varchar2(25),
	create_timestamp timestamp default systimestamp,
	update_timestamp timestamp default null)
	tablespace users;
	

/*
	-- 
	--	Insert Sample Data Here
	--
*/

	begin
		for i in 1..3 loop
			insert into dt.t(id, name)
			values(i,'Value is ' || i);
		end loop;
		
		commit;
	end;
/

EOF
