#!/bin/bash -a

##
## This is the same setup script for demo #6
##	except *no* tasks for enabling row movement, 
##	and, *no* flashback
##
##
## In a nutshell,
##	- create user dt; and, grant permissions
##	- create table t; and, insert data into table
##	- create a batch process 
##	- 

sqlplus /nolog <<EOF

	connect sys/oracle as sysdba
	
	set echo on

	-- ALTER DATABASE ADD SUPPLEMENTAL LOG DATA;

	EXECUTE DBMS_LOGMNR_D.BUILD( -
   		OPTIONS=> DBMS_LOGMNR_D.STORE_IN_REDO_LOGS);


/*
	-- 
	--	Create User Here
	--
*/
	drop user dt cascade;
	create user dt
	identified by dt
	default tablespace users
	temporary tablespace temp
	quota unlimited on users;

	grant create table to dt;
	grant create session to dt;
	grant create procedure to dt;
/*
	-- 
	--	Create Table Here
	--
*/
	create table dt.t (
	id int,
	name varchar2(25))
	tablespace users;
	

/*
	-- 
	--	Insert Sample Data Here
	--
*/

	begin
		for i in 1..13305 loop
			insert into dt.t
			values(i,'Value is ' || i);
		end loop;
		
		commit;
	end;
/


/*
	-- 
	--	Create A Procedure Here
	--
*/
	create or replace procedure dt.qa_testing
	is
	begin
		delete from dt.t
		where id > 13050;

		update dt.t
		set id = (select 50000 + dt.t.id
			    from dual)
		where id <= 50;

		commit;
	end;
/
	show errors

	exit;

EOF
