#!/bin/bash -a

##
## This is the setup script for demo #6
##
##
## In a nutshell,
##	- create user dt; and, grant permissions
##	- create table t; and, insert data into table
##	  ( enable row movement for table )
##	- create a batch process 
##	- 

sqlplus /nolog <<EOF

	connect sys/oracle as sysdba

/*
	-- 
	--	Create User Here
	--
*/
	drop user dt cascade;
	create user dt
	identified by dt
	default tablespace users
	temporary tablespace temp
	quota unlimited on users;

	grant create table to dt;
	grant create session to dt;
	grant create procedure to dt;
/*
	-- 
	--	Create Table Here
	--	- and, Enable Row Movement 
	--	- This is to enable Oracle to change ROWID's
	--
*/
	create table dt.t (
	id int,
	name varchar2(25))
	tablespace users
	enable row movement;

/*
	-- 
	--	Insert Sample Data Here
	--
*/

	begin
		for i in 1..20000 loop
			insert into dt.t
			values(i,'Value is ' || i);
		end loop;
		
		commit;
	end;
/


/*
	-- 
	--	Create A Procedure Here
	--
*/
	create or replace procedure dt.qa_testing
	is
	begin
		delete from dt.t
		where id > 19050;

		update dt.t
		set id = (select 50000 + dt.t.id
			    from dual)
		where id <= 50;

		commit;
	end;
/
	show errors

	exit;

EOF
