#!/bin/bash -a

##
##	Script #2 in Demo #6
##		create normal restore point
##		run batch job
##		flashback table to normal restore point 
##		drop normal restore point
##

sqlplus /nolog <<EOF

	connect sys/oracle as sysdba

/*
	--
	--	do a max check here, and set the restore point
	--
*/
	select max(id)
	from dt.t;

	create restore point before_qatesting;

accept x "press enter to continue" 

/*
	--
	--	ok.  This is the complicated, 
	--	battle-worn qa regression testing.
	--
*/
	exec dt.qa_testing;
	
/*
	--
	--	indeed, if max value has changed as 
	--	part of the qa testing.
	--
*/
	select max(id)
	from dt.t;

/*
	--
	--	flashback to normal restore point
	--
*/

	flashback table dt.t to restore point before_qatesting;

/*
	--
	--	indeed, so, values have returned 
	--	back to before qa testing
	--
*/
	select max(id)
	from dt.t;

/*
	--
	--	task accomplished!
	--	drop 'normal' restore point
	--
*/
	drop restore point before_qatesting;

	exit
EOF
