
#!/bin/bash -a

##
##	Script #3 in Demo #6
##	(CALLED from 6.sh)
##		create guaranteed restore point
##		run batch job
##		flashback table to normal restore point 
##		drop normal restore point
##

sqlplus /nolog <<EOF

	set echo on

	connect sys/oracle as sysdba

/*
	--
	--	put db into mount mode
	--	enable flashback logging
	--	restart db
*/
	
	shutdown immediate;
	startup mount;

	alter database flashback off;
	alter database flashback on;

	alter database open;

/*
	--
	--	create restore point prior to qa regression testing
	--
*/

	create restore point before_qatesting guarantee flashback database;

	select max(id)
	from dt.t;

/*
	--
	--	ok.  This is the complicated, 
	--	battle-worn qa regression testing.
	--
*/
	exec dt.qa_testing;
	
/*
	--
	--	indeed, if max value has changed as 
	--	part of the qa testing.
	--
*/
	select max(id)
	from dt.t;
	
/*
	--
	--	flashback to normal restore point
	--
*/
	shutdown immediate;
	startup mount;

	flashback DATABASE to restore point before_qatesting;

	alter database open resetlogs;

/*
	--
	--	indeed, so, values have returned 
	--	back to before qa testing
	--
*/
	select max(id)
	from dt.t;

	exit
EOF
