#!/bin/bash -a

##
##	Script #3 in Demo #6
##	(CALLED from 6.sh)
##		create guaranteed restore point
##		run batch job
##		flashback table to normal restore point 
##		drop normal restore point
##

sqlplus /nolog <<EOF

	set echo on

	connect sys/oracle as sysdba

	select max(id)
	from dt.t;

/*
	--
	--	ok.  This is the complicated, 
	--	battle-worn qa regression testing.
	--
*/
	exec dt.qa_testing;
	
/*
	--
	--	indeed, if max value has changed as 
	--	part of the qa testing.
	--
*/
	select max(id)
	from dt.t;
	
/*
	--
	--	flashback to normal restore point
	--
*/
	shutdown immediate;
	startup mount;

	flashback DATABASE to restore point before_qatesting;

	alter database open resetlogs;

/*
	--
	--	indeed, so, values have returned 
	--	back to before qa testing
	--
*/
	select max(id)
	from dt.t;

/*
	--
	--	task accomplished!
	--	drop 'normal' restore point
	--
*/

	exit
EOF
